//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "qm_pgm.h"
#include "see.h"

// NOTES:
//  SEE32B.LIB was added to QM_PRJ.MAK
//  To create SEE32B.LIB from SEE32.DLL: IMPLIB SEE32B.LIB SEE32.DLL

 static char Server[65]   = "\0";
 static char From[65]     = "\0";
 static char Reply[2]     = "\0";
 static char To[65]       = "\0";
 static char Subject[65]  = "\0";
 static char Message[1025]= "\0";
 static char IsNull[2]    = "\0";
 static char Buffer[65]   = "\0";

//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::mExitClick(TObject *Sender)
{seeClose();
 Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::mConnectClick(TObject *Sender)
{int Code;
 eServer->GetTextBuf((char *)Server, 64);
 eFrom->GetTextBuf((char *)From, 64);
 seeStringParam(SEE_LOG_FILE,(LPSTR)"qm.log");
 if(strlen(Server)<=1)
   {eResult->SetTextBuf("'Server' field is empty!");
    return;
   }
 if(strlen(From)<=1)
   {eResult->SetTextBuf("'From' field is empty!");
    return;
   }
 // connect to server
 eResult->SetTextBuf("Connecting to server...");
 Code = seeConnectTo(
   (LPSTR)Server,    // SMTP server
   (LPSTR)From,      // return email address
   (LPSTR)Reply);
 if(Code>=0)
   {eResult->SetTextBuf("Connection completed.");
    mSend->Enabled = true;
    mClose->Enabled = true;
    mConnect->Enabled = false;
   }
 else
   {seeErrorText(Code,(LPSTR)Buffer,64);
    eResult->SetTextBuf(Buffer);
   }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::mSendClick(TObject *Sender)
{int Code;
 eResult->SetTextBuf("Sending email...");
 eTo->GetTextBuf((char *)To, 64);
 eSubject->GetTextBuf((char *)Subject, 64);
 eMessage->GetTextBuf((char *)Message, 1024);
 Code = seeSendEmail(
    (LPSTR)To,           // To list
    (LPSTR)IsNull,       // CC list
    (LPSTR)IsNull,       // BCC list
    (LPSTR)Subject,      // subject
    (LPSTR)Message,      // message text
    (LPSTR)IsNull);      // attachment
 if(Code>=0)
   {eResult->SetTextBuf("Email sent.");
   }
 else
   {seeErrorText(Code,(LPSTR)Buffer,64);
    eResult->SetTextBuf(Buffer);
   }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::mCloseClick(TObject *Sender)
{ eResult->SetTextBuf("Connection closed.");
  seeClose();
  mConnect->Enabled = true;
  mSend->Enabled = false;
  mClose->Enabled = false;
}
//---------------------------------------------------------------------------
